package com.gh.gamecenter;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;

import androidx.annotation.NonNull;

import com.gh.gamecenter.common.base.activity.ToolBarActivity;
import com.gh.gamecenter.common.constant.EntranceConsts;
import com.halo.assistant.fragment.game.GameNewsSearchFragment;

/**
 * Created by LGT on 2016/8/29.
 * 游戏新闻界面，由于MTA界面统计未重新记录的原因，暂留此傀儡，连名字都不能改，真是可怕
 */
@Deprecated
public class GameNewsActivity extends ToolBarActivity {

    @NonNull
    public static Intent getIntent(Context context, String gameName, String gameId, String entrance) {

        final Bundle args = new Bundle();
        args.putString(EntranceConsts.KEY_GAMENAME, gameName);
        args.putString(EntranceConsts.KEY_GAMEID, gameId);
        args.putString(EntranceConsts.KEY_ENTRANCE, entrance);
        return getTargetIntent(context, GameNewsActivity.class, GameNewsSearchFragment.class, args);
    }

    @Override
    protected Intent provideNormalIntent() {
        return getTargetIntent(this, GameNewsActivity.class, GameNewsSearchFragment.class);
    }

}
